## org.biojava.bio.program.homologene
Class SimpleOrthoPairCollection.Iterator

    java.lang.Object
      org.biojava.bio.program.homologene.SimpleOrthoPairCollection.Iterator

All Implemented Interfaces:
  OrthoPairCollection.Iterator

Enclosing class:
  SimpleOrthoPairCollection

    public class SimpleOrthoPairCollection.Iterator

extends Object
implements OrthoPairCollection.Iterator

Method Summary
`boolean` `hasNext()` are more OrthoPairSets available?
`OrthoPairSet` `nextSet()` returns the next OrthoPairSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `OrthoPairCollection.Iterator`
  are more OrthoPairSets available?

  Specified by:
    `hasNext` in interface `OrthoPairCollection.Iterator`

### nextSet

    public OrthoPairSet nextSet()

  Description copied from interface: `OrthoPairCollection.Iterator`
  returns the next OrthoPairSet

  Specified by:
    `nextSet` in interface `OrthoPairCollection.Iterator`